<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE = edge,chrome = 1">
  <title>Hello World using Backbone.js</title>

  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
</head>

<body>

  <script type="text/javascript">
    // Create an object 'myVal' and 'myVal1' and extend them using Backbone.
    // Events method
    var myVal = _.extend({
      name: 'Hello..'
    }, Backbone.Events);
    var myVal1 = _.extend({
      name: 'Welcome to TutorialsPoint!!!'
    }, Backbone.Events);

    // create the 'listenMe' callback function and invoke when one object
    // listens to particular event on another object
    var listenMe = function() {
      document.write("The value is: ");
      document.write(this.name);
    };
    // The object 'myVal1' listens once for the 'listenMe' event triggered on
    //object 'myVal'
    myVal1.listenTo(myVal, 'listenMe', listenMe);

    // The 'myVal' has no listenMe event and displays the value of 'myVal1'
    myVal.trigger('listenMe');
  </script>;

</body>

</html>